Package com.google.protobuf

# Interface DescriptorProtos.MethodDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.MethodDescriptorProto`, `DescriptorProtos.MethodDescriptorProto.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.MethodDescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getClientStreaming()`
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`
`String`
`getInputType()`
`optional string input_type = 2 [json_name = "inputType"];`
`ByteString`
`getInputTypeBytes()`
`optional string input_type = 2 [json_name = "inputType"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.MethodOptions`
`getOptions()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`DescriptorProtos.MethodOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`String`
`getOutputType()`
`optional string output_type = 3 [json_name = "outputType"];`
`ByteString`
`getOutputTypeBytes()`
`optional string output_type = 3 [json_name = "outputType"];`
`boolean`
`getServerStreaming()`
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`
`boolean`
`hasClientStreaming()`
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`
`boolean`
`hasInputType()`
`optional string input_type = 2 [json_name = "inputType"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`boolean`
`hasOutputType()`
`optional string output_type = 3 [json_name = "outputType"];`
`boolean`
`hasServerStreaming()`
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasInputType

boolean hasInputType()
`optional string input_type = 2 [json_name = "inputType"];`

Returns:
  Whether the inputType field is set.

### getInputType

String getInputType()
`optional string input_type = 2 [json_name = "inputType"];`

Returns:
  The inputType.

### getInputTypeBytes

ByteString getInputTypeBytes()
`optional string input_type = 2 [json_name = "inputType"];`

Returns:
  The bytes for inputType.

### hasOutputType

boolean hasOutputType()
`optional string output_type = 3 [json_name = "outputType"];`

Returns:
  Whether the outputType field is set.

### getOutputType

String getOutputType()
`optional string output_type = 3 [json_name = "outputType"];`

Returns:
  The outputType.

### getOutputTypeBytes

ByteString getOutputTypeBytes()
`optional string output_type = 3 [json_name = "outputType"];`

Returns:
  The bytes for outputType.

### hasOptions

boolean hasOptions()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.MethodOptions getOptions()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.MethodOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

### hasClientStreaming

boolean hasClientStreaming()
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`

Returns:
  Whether the clientStreaming field is set.

### getClientStreaming

boolean getClientStreaming()
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`

Returns:
  The clientStreaming.

### hasServerStreaming

boolean hasServerStreaming()
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

Returns:
  Whether the serverStreaming field is set.

### getServerStreaming

boolean getServerStreaming()
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

Returns:
  The serverStreaming.